#ifndef CMWAUTO_H
#define CMWAUTO_H

#include "cmwidget.h"
#include <QLabel>
namespace Ui {
class CMWAuto;
}

class CMWAuto : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWAuto(QWidget *parent = 0);
    ~CMWAuto();
    void MInit();
    void MTimeFresh();
    void MFresh();
    QString m_NA;
    double m_dThickDiff_cur;
    int m_iCurLineID;
    int m_iCurSideID;

    int m_iCurCoatActionType;
    int m_iCurCoatStep;

    int m_iCurCleanActionType;
    int m_iCurCleanStep;

    double m_dCurCoatTime;
    double m_dCurCleanTime;
private slots:
    void on_pushButton_SetThickDiff_clicked();

private:
    Ui::CMWAuto *ui;

    /// 更新状态机运行状态
    void updateStatus(int iVsmId, QLabel* pLabel);
};

#endif // CMWAUTO_H
